/**********************************************************************
*  2011 Microchip Technology Inc.
*
* FileName:        tone.h
* Dependencies:    Header (.h) files if applicable, see below
* Processor:       PIC32MX795F512L
* Compiler:        MPLAB C32 v1.11a or higher
*
* SOFTWARE LICENSE AGREEMENT:
* Microchip Technology Incorporated ("Microchip") retains all ownership and 
* intellectual property rights in the code accompanying this message and in all 
* derivatives hereto.  You may use this code, and any derivatives created by 
* any person or entity by or on your behalf, exclusively with Microchip's
* proprietary products.  Your acceptance and/or use of this code constitutes 
* agreement to the terms and conditions of this notice.
*
* CODE ACCOMPANYING THIS MESSAGE IS SUPPLIED BY MICROCHIP "AS IS".  NO 
* WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED 
* TO, IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE APPLY TO THIS CODE, ITS INTERACTION WITH MICROCHIP'S 
* PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION. 
*
* YOU ACKNOWLEDGE AND AGREE THAT, IN NO EVENT, SHALL MICROCHIP BE LIABLE, WHETHER 
* IN CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE OR BREACH OF STATUTORY DUTY), 
* STRICT LIABILITY, INDEMNITY, CONTRIBUTION, OR OTHERWISE, FOR ANY INDIRECT, SPECIAL, 
* PUNITIVE, EXEMPLARY, INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, FOR COST OR EXPENSE OF 
* ANY KIND WHATSOEVER RELATED TO THE CODE, HOWSOEVER CAUSED, EVEN IF MICROCHIP HAS BEEN 
* ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE FULLEST EXTENT 
* ALLOWABLE BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO 
* THIS CODE, SHALL NOT EXCEED THE PRICE YOU PAID DIRECTLY TO MICROCHIP SPECIFICALLY TO 
* HAVE THIS CODE DEVELOPED.
*
* You agree that you are solely responsible for testing the code and 
* determining its suitability.  Microchip has no obligation to modify, test, 
* certify, or support the code.
************************************************************************/

#ifndef _TONE_H_
#define _TONE_H_

      int  tone[40] = {
        0x0000,
        0x0200,
        0x03F4,
        0x05CF,
        0x0785,
        0x090C,
        0x0A5A,
        0x0B67,
        0x0C2C,
        0x0CA4,
        0x0CCC,
        0x0CA4,
        0x0C2C,
        0x0B67,
        0x0A5A,
        0x090C,
        0x0785,
        0x05CF,
        0x03F4,
        0x0200,
        0x0000,
        0xFE00,
        0xFC0C,
        0xFA31,
        0xF87B,
        0xF6F4,
        0xF5A6,
        0xF499,
        0xF3D4,
        0xF35C,
        0xF334,
        0xF35C,
        0xF3D4,
        0xF499,
        0xF5A6,
        0xF6F4,
        0xF87B,
        0xFA31,
        0xFC0C,
        0xFE00,
        };

#endif
