/**********************************************************************
*  2011 Microchip Technology Inc.
*
* FileName:        notch.c
* Dependencies:    Header (.h) files if applicable, see below
* Processor:       PIC32MX795F512L
* Compiler:        MPLAB C32 v1.11a or higher
*
* SOFTWARE LICENSE AGREEMENT:
* Microchip Technology Incorporated ("Microchip") retains all ownership and 
* intellectual property rights in the code accompanying this message and in all 
* derivatives hereto.  You may use this code, and any derivatives created by 
* any person or entity by or on your behalf, exclusively with Microchip's
* proprietary products.  Your acceptance and/or use of this code constitutes 
* agreement to the terms and conditions of this notice.
*
* CODE ACCOMPANYING THIS MESSAGE IS SUPPLIED BY MICROCHIP "AS IS".  NO 
* WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED 
* TO, IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE APPLY TO THIS CODE, ITS INTERACTION WITH MICROCHIP'S 
* PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION. 
*
* YOU ACKNOWLEDGE AND AGREE THAT, IN NO EVENT, SHALL MICROCHIP BE LIABLE, WHETHER 
* IN CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE OR BREACH OF STATUTORY DUTY), 
* STRICT LIABILITY, INDEMNITY, CONTRIBUTION, OR OTHERWISE, FOR ANY INDIRECT, SPECIAL, 
* PUNITIVE, EXEMPLARY, INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, FOR COST OR EXPENSE OF 
* ANY KIND WHATSOEVER RELATED TO THE CODE, HOWSOEVER CAUSED, EVEN IF MICROCHIP HAS BEEN 
* ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE FULLEST EXTENT 
* ALLOWABLE BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO 
* THIS CODE, SHALL NOT EXCEED THE PRICE YOU PAID DIRECTLY TO MICROCHIP SPECIFICALLY TO 
* HAVE THIS CODE DEVELOPED.
*
* You agree that you are solely responsible for testing the code and 
* determining its suitability.  Microchip has no obligation to modify, test, 
* certify, or support the code.
************************************************************************/

short int filterCoeffs[236] = {

 	0xFFFE,	0xFFFD,	0xFFFD,	0xFFFE,	0xFFFE,	0xFFFF,	0x0000,	0x0000,	0x0001,
 	0x0003,	0x0005,	0x0006,	0x0008,	0x0009,	0x000A,	0x000B,	0x000B,	0x000B,
 	0x000B,	0x000A,	0x0008,	0x0007,	0x0005,	0x0003,	0x0002,	0x0000,	0x0000,
 	0x0000,	0x0001,	0x0003,	0x0006,	0x000B,	0x0010,	0x0016,	0x001C,	0x0023,
 	0x002A,	0x0030,	0x0035,	0x0039,	0x003B,	0x003B,	0x0038,	0x0032,	0x0029,
 	0x001E,	0x0010,	0x0000,	0xFFEF,	0xFFDC,	0xFFC8,	0xFFB5,	0xFFA3,	0xFF92,
 	0xFF85,	0xFF7B,	0xFF75,	0xFF73,	0xFF76,	0xFF7D,	0xFF89,	0xFF97,	0xFFA9,
 	0xFFBC,	0xFFCF,	0xFFE2,	0xFFF3,	0x0000,	0x0009,	0x000D,	0x000C,	0x0003,
 	0xFFF6,	0xFFE2,	0xFFC9,	0xFFAC,	0xFF8D,	0xFF6E,	0xFF51,	0xFF39,	0xFF27,
 	0xFF1E,	0xFF21,	0xFF30,	0xFF4E,	0xFF7B,	0xFFB7,	0x0000,	0x0058,	0x00BA,
 	0x0125,	0x0195,	0x0207,	0x0275,	0x02DB,	0x0335,	0x037F,	0x03B4,	0x03D1,
 	0x03D3,	0x03B8,	0x037F,	0x0328,	0x02B4,	0x0225,	0x0180,	0x00C7,	0x0000,
 	0xFF32,	0xFE61,	0xFD95,	0xFCD4,	0xFC25,	0xFB8D,	0xFB10,	0xFAB5,	0xFA7C,
 	0x7A40,	0xFA7C,	0xFAB5,	0xFB10,	0xFB8D,	0xFC25,	0xFCD4,	0xFD95,	0xFE61,
 	0xFF32,	0x0000,	0x00C7,	0x0180,	0x0225,	0x02B4,	0x0328,	0x037F,	0x03B8,
 	0x03D3,	0x03D1,	0x03B4,	0x037F,	0x0335,	0x02DB,	0x0275,	0x0207,	0x0195,
 	0x0125,	0x00BA,	0x0058,	0x0000,	0xFFB7,	0xFF7B,	0xFF4E,	0xFF30,	0xFF21,
 	0xFF1E,	0xFF27,	0xFF39,	0xFF51,	0xFF6E,	0xFF8D,	0xFFAC,	0xFFC9,	0xFFE2,
 	0xFFF6,	0x0003,	0x000C,	0x000D,	0x0009,	0x0000,	0xFFF3,	0xFFE2,	0xFFCF,
 	0xFFBC,	0xFFA9,	0xFF97,	0xFF89,	0xFF7D,	0xFF76,	0xFF73,	0xFF75,	0xFF7B,
 	0xFF85,	0xFF92,	0xFFA3,	0xFFB5,	0xFFC8,	0xFFDC,	0xFFEF,	0x0000,	0x0010,
 	0x001E,	0x0029,	0x0032,	0x0038,	0x003B,	0x003B,	0x0039,	0x0035,	0x0030,
 	0x002A,	0x0023,	0x001C,	0x0016,	0x0010,	0x000B,	0x0006,	0x0003,	0x0001,
 	0x0000,	0x0000,	0x0000,	0x0002,	0x0003,	0x0005,	0x0007,	0x0008,	0x000A,
 	0x000B,	0x000B,	0x000B,	0x000B,	0x000A,	0x0009,	0x0008,	0x0006,	0x0005,
 	0x0003,	0x0001,	0x0000,	0x0000,	0xFFFF,	0xFFFE,	0xFFFE,	0xFFFD,	0xFFFD,
 	0xFFFE, 0x0
};

